org.apache.tapestry5.internal.transform

## Class PageLifecycleAnnotationWorker

- java.lang.Object
- - org.apache.tapestry5.internal.transform.PageLifecycleAnnotationWorker

- All Implemented Interfaces:
    ComponentClassTransformWorker2

      public class PageLifecycleAnnotationWorker
      extends Object
      implements ComponentClassTransformWorker2

  Similar to `RenderPhaseMethodWorker` but applies to annotations/methods related to the overall page lifecycle. Page lifecycle methods are always void and take no parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageLifecycleAnnotationWorker(Class<? extends Annotation> methodAnnotationClass, MethodDescription lifecycleMethodDescription, String methodAlias)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` Invoked to perform part of the transformation of the `PlasticClass`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageLifecycleAnnotationWorker

          public PageLifecycleAnnotationWorker(Class<? extends Annotation> methodAnnotationClass,
                                               MethodDescription lifecycleMethodDescription,
                                               String methodAlias)

  - ### Method Detail

    - #### transform

          public void transform(PlasticClass plasticClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Description copied from interface: `ComponentClassTransformWorker2`
      Invoked to perform part of the transformation of the `PlasticClass`.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.